using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TaxiTelphoni
{
    public partial class frmServiceHa : Form
    {
        public frmServiceHa()
        {
            InitializeComponent();
        }

        private void frmServiceHa_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'txdb1001DataSet6.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.txdb1001DataSet6.Customers);
            // TODO: This line of code loads data into the 'txdb1001DataSet5.RanandehGan' table. You can move, or remove it, as needed.
            this.ranandehGanTableAdapter.Fill(this.txdb1001DataSet5.RanandehGan);
            // TODO: This line of code loads data into the 'txdb1001DataSet4.ServieCaft' table. You can move, or remove it, as needed.
            this.servieCaftTableAdapter.Fill(this.txdb1001DataSet4.ServieCaft);

        }

        protected void labPos()
        {
            this.label4.Text = this.servieCaftBindingSource.Position + 1 + " از " + this.servieCaftBindingSource.Count;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.servieCaftBindingSource.AddNew();
            button1.Enabled = false;
            button4.Enabled = true;
            btnCancel.Enabled = true;
            labPos();
            MessageBox.Show("لطفا مقادیر مورد نظر را وارد فرمائید");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            bool adada = false;
            if(checkBox1.Checked == true)
            {
                adada = true;
            }
            if (textBox8.Text == "" || textBox9.Text == "" || comboBox1.Text == "" || comboBox2.Text == "")
            {
                MessageBox.Show("فیلدهای نام راننده ، نام مشتری ، مبلغ کرایه دریافتی و کمیسیون آژانس باید وارد شوند");
            }
            else
            {
                this.servieCaftTableAdapter.Insert(int.Parse(comboBox2.SelectedValue.ToString()), comboBox1.SelectedValue.ToString(), textBox2.Text.Trim(), DateTime.Parse(textBox4.Text.Trim()), DateTime.Parse(textBox5.Text.Trim()), textBox6.Text.Trim(), textBox7.Text.Trim(), float.Parse(textBox8.Text.Trim()), float.Parse(textBox9.Text.Trim()), adada);
                button4.Enabled = false;
                button1.Enabled = true;
                btnCancel.Enabled = false;
                dataGridView1.Refresh();
                labPos();
                MessageBox.Show("رکورد مورد نظر ذخیره گردید");
                labPos();
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.servieCaftBindingSource.CancelEdit();
            button4.Enabled = false;
            button1.Enabled = true;
            btnCancel.Enabled = false;
            labPos();
        }

        private void btnUpdate_Click(object sender, EventArgs e)
        {
            bool adada = false;
            if(checkBox1.Checked == true)
            {
                adada = true;
            }
            if (textBox8.Text != "" || textBox9.Text != "" || comboBox1.Text != "" || comboBox2.Text != "")
            {
                this.servieCaftTableAdapter.Update(int.Parse(comboBox2.SelectedValue.ToString()), comboBox1.SelectedValue.ToString(), textBox2.Text.Trim(), DateTime.Parse(textBox4.Text.Trim()), DateTime.Parse(textBox5.Text.Trim()), textBox6.Text.Trim(), textBox7.Text.Trim(), float.Parse(textBox8.Text.Trim()), float.Parse(textBox9.Text.Trim()), adada, int.Parse(textBox1.Text.Trim()));
                dataGridView1.Refresh();
                labPos();
            }
            else
            {
                MessageBox.Show("فیلدهای نام راننده ، نام مشتری ، مبلغ کرایه دریافتی و کمیسیون آژانس باید وارد شوند");
            }
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            if (textBox1.Text != "")
            {
                this.servieCaftTableAdapter.Delete(int.Parse(textBox1.Text.Trim()));
                this.servieCaftTableAdapter.Fill(this.txdb1001DataSet4.ServieCaft);
                labPos();
                MessageBox.Show("سرویس مورد نظر حذف شد");
            }
            else
            {
                MessageBox.Show("کد سرویس وارد نشده است");
            }
        }

        private void btnRefresh_Click(object sender, EventArgs e)
        {
            this.servieCaftTableAdapter.Fill(this.txdb1001DataSet4.ServieCaft);
            labPos();
        }

        private void btnLast_Click(object sender, EventArgs e)
        {
            this.servieCaftBindingSource.MoveLast();
            labPos();
        }

        private void btmNext_Click(object sender, EventArgs e)
        {
            if (this.servieCaftBindingSource.Position + 1 < this.servieCaftBindingSource.Count)
            {
                this.servieCaftBindingSource.MoveNext();
                labPos();
            }
        }

        private void btnPrevoiuse_Click(object sender, EventArgs e)
        {
            this.servieCaftBindingSource.MovePrevious();
            labPos();
        }

        private void btnFirst_Click(object sender, EventArgs e)
        {
            this.servieCaftBindingSource.MoveFirst();
            labPos();
        }
    }
}